Skip to main content
GET
/
trading
/
settlements
List settlements
curl --request GET \
  --url https://api.anchorage-staging.com/v2/trading/settlements \
  --header 'Api-Access-Key: <api-key>'
{
  "data": [
    {
      "createdAt": "2020-11-10T20:24:20Z",
      "settlementID": "c8e2fcb6-78fa-4b8a-8f6d-e3ff23093dd0",
      "settlementStatus": "SETTLED",
      "vault": {
        "vaultID": "1c920f4241b78a1d483a29f3c24b6c4c"
      },
      "trades": [
        {
          "quantitySold": "1",
          "currencySold": "USD",
          "currencyBought": "BTC",
          "price": "11681.67",
          "quantityBought": "0.00008561",
          "side": "BUY",
          "timestamp": "2020-08-31T22:15:31.99999Z",
          "tradeID": "e0538774-ebd9-11ea-adc1-0242ac120002",
          "quoteID": "06f71d1e-e7e8-11ea-adc1-0242ac120011",
          "vault": {
            "vaultID": "1c920f4241b78a1d483a29f3c24b6c4c"
          },
          "tradeStatus": "SETTLED",
          "tradingPair": "BTC-USD",
          "fee": "0.01",
          "feeCurrency": "USD"
        },
        {
          "quantitySold": "1",
          "currencySold": "USD",
          "currencyBought": "ETH",
          "price": "435.16",
          "quantityBought": "0.00230049",
          "side": "BUY",
          "timestamp": "2020-08-31T22:14:07.99999Z",
          "tradeID": "d1ae1416-ebd7-11ea-adc1-0242ac120002",
          "quoteID": "06f71d1e-e7e8-11ea-adc1-0242ac120002",
          "vault": {
            "vaultID": "1c920f4241b78a1d483a29f3c24b6c4c"
          },
          "tradeStatus": "SETTLED",
          "tradingPair": "ETH-USD",
          "fee": "0.01",
          "feeCurrency": "USD"
        }
      ],
      "positions": [
        {
          "positionAmount": {
            "assetType": "BTC",
            "quantity": "30.54447726"
          }
        },
        {
          "positionAmount": {
            "assetType": "ETH",
            "quantity": "8391"
          }
        }
      ],
      "instructionsCrypto": [
        {
          "address": "cosmos10tucpr3m3rgaexzy0yf0j903mp3f6xsm02al50",
          "assetTypeID": "ATOM"
        },
        {
          "address": "bitcoincash:qq5z3pjyf2r3h9dyze644adywsr3vcncry2lmkvjlw",
          "assetTypeID": "BCH"
        },
        {
          "address": "3HZdacGTDVcWwjwKCb7sEoD3kVTxJ7d25P",
          "assetTypeID": "BTC"
        },
        {
          "address": "0xd52055A39a3d2f7505C739f981f296Ea31B50191",
          "assetTypeID": "ETH"
        }
      ]
    },
    {
      "createdAt": "2020-11-10T15:39:05Z",
      "settlementID": "w9e8hjq3-66rz-0j2n-1k6t-a2cg9834tt7",
      "settlementStatus": "SETTLING",
      "vault": {
        "vaultID": "1c920f4241b78a1d483a29f3c24b6c4c"
      },
      "trades": [
        {
          "quantitySold": "590000",
          "currencySold": "USD",
          "currencyBought": "BTC",
          "price": "43574.59",
          "quantityBought": "13.54",
          "side": "BUY",
          "timestamp": "2020-08-31T22:15:31.99999Z",
          "tradeID": "df4d3b1a-f70f-42c3-87e3-18a98c98c959",
          "quoteID": "f3857ede-9eeb-468e-8124-75458cff0229",
          "vault": {
            "vaultID": "1c920f4241b78a1d483a29f3c24b6c4c"
          },
          "tradeStatus": "SETTLING",
          "tradingPair": "BTC-USD",
          "fee": "457.16",
          "feeCurrency": "USD"
        }
      ],
      "positions": [
        {
          "positionAmount": {
            "assetType": "BTC",
            "quantity": "30.54447726"
          }
        }
      ],
      "instructionsCrypto": [
        {
          "address": "cosmos10tucpr3m3rgaexzy0yf0j903mp3f6xsm02al50",
          "assetTypeID": "ATOM"
        },
        {
          "address": "bitcoincash:qq5z3pjyf2r3h9dyze644adywsr3vcncry2lmkvjlw",
          "assetTypeID": "BCH"
        },
        {
          "address": "3HZdacGTDVcWwjwKCb7sEoD3kVTxJ7d25P",
          "assetTypeID": "BTC"
        },
        {
          "address": "0xd52055A39a3d2f7505C739f981f296Ea31B50191",
          "assetTypeID": "ETH"
        }
      ]
    }
  ],
  "page": {
    "next": "/v2/trading/settlements?endDate=2020-11-10&limit=2"
  }
}

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Query Parameters

startDate
string<date>

The start date (inclusive) in YYYY-MM-DD format. The earliest valid start date is 2017-01-01. The last valid start date is the current date. Dates are always in UTC RFC 3339 'full-date'.

endDate
string<date>

The end date (inclusive) in YYYY-MM-DD format. The latest valid end date is the current date. Dates are always in UTC RFC 3339 'full-date'.

status
enum<string>[]

One or more statuses to filter settlements. If provided, only settlements matching these statuses will be returned.

Available options:
REJECTED,
CANCELED,
EXECUTED,
SETTLING,
SETTLED
vaultID
string

Filter by the vault ID of a settlement. If provided, only settlements linked to this vault ID will be returned.

limit
integer<int64>
default:100

Maximum number of results to return per query

Required range: 1 <= x <= 100
excludePositions
boolean
default:false

If true, positions property will be excluded from the response. If false, positions will be included in the response as demonstrated in the example.

excludeSettlementInstructions
boolean
default:false

If true, instructionsCrypto property will be excluded from the response. If false, it will be included in the response as demonstrated in the example.

accountId
string

Filter by the trading account ID of a trade. If provided, only trades linked to this account ID will be returned.

Response

A list of Settlements and their metadata

data
SettlementDetails · object[]
required
page
Page · object
required

Pagination info